#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n , m , i , j , s , l , r;
    scanf("%d %d" , &n , &m);
    long int vage[n][2] , t;
    int resenja[m];

    for(i=0;i<n;i++){
        scanf("%ld %ld" , &vage[i][0] , &vage[i][1]);
    }

    for(i=0;i<m;i++){
        scanf("%d %d %ld" , &l , &r , &t);
        s=0;
        for(j=l-1;j<=r-1;j++){
            if(vage[j][0]<=t && vage[j][1]>=t)
                s++;
        }
        resenja[i]=s;
    }
    for(i=0;i<m;i++){
        printf("%d\n" , resenja[i]);
    }
}